0

I installed qgis in debian linux and I want to run a standalone app in python. So I import qgis.core and qgis.gui in this app. But it gives me an error:

  ImportError: libqgis_core.so.2.9.0: cannot open shared object file: No such file or directory

I installed the last version using:

deb     http://qgis.org/debian jessie main
deb-src http://qgis.org/debian jessie main

My PYTHONPATH is defined to: /usr/share/qgis/python/plugins. And I search libqgis_core and I found the libqgis._core2.8.0. So why the app is searching the 2.9.0 version?

1 Answer 1

1

You need to correctly set LD_LYBRARY_PATH which is explained here: http://docs.qgis.org/testing/en/docs/pyqgis_developer_cookbook/intro.html#running-custom-applications

1
  • Thanks for the answer. I found the solution. I need to uninstall all and install again, inclusive python-qgis. Now the it is fixed. Thank you. Commented Feb 26, 2015 at 14:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.